#include<bits/stdc++.h>
using namespace std;
int main()
{
	long n,k;
	cin>>n>>k;
	int a[n],br[n],bro=0;
	for(int i=0;i<n;i++)
	{
		cin>>a[i];
	}
	for(int i=0;i<n;i++)
	{
		br[i]=1;
	}
	for(int i=0;i<n;i++)
	{
	for(int j=i+1;j<n;j++)
	{
		if(a[i]==a[j])
		{
			br[i]++;
			br[j]-=10000000;
		}
	}
}
	for(int i=0;i<n;i++)
	{
	if(br[i]>=k)
	{
		bro++;
	}
	}
	cout<<bro<<endl;
	for(int i=0;i<n;i++)
	{
	if(br[i]>=k)
	{
		cout<<a[i]<<" ";
	}
}
}